<template>
  <page
    class="flex-grow-1"
    id="find_caravan"
    title="Caravanas"
  >
    <v-list two-line="two-line">
      <v-list-item v-if="!caravans || caravans.length === 0">
        <v-list-item-content>
          <v-list-item-title>No results found!</v-list-item-title>
        </v-list-item-content>
      </v-list-item>
      <v-list-item
        v-else
        v-for="caravan in caravans"
        :key="caravan.id"
      >
        <v-list-item-content>
          <v-list-item-title>{{caravan.name}}</v-list-item-title>
          <v-list-item-subtitle>{{ISOtoDate(caravan.start)}}</v-list-item-subtitle>
        </v-list-item-content>
        <v-list-item-action>
          <v-btn
            icon="icon"
            @click="$router.push({ name: 'caravan', params: { id: caravan.id } })"
          >
            <v-icon>mdi-information</v-icon>
          </v-btn>
        </v-list-item-action>
      </v-list-item>
    </v-list>
  </page>
</template>

<script lang="ts">
import Vue from 'vue'

import listCaravansQuery from '@/gql/CaravanList.gql'

import { ISOtoDate } from '@/util/dates'

import Page from '@/components/Page.vue'

export default Vue.extend({
  name: 'CaravansPage',
  components: { Page },
  apollo: {
    caravans: {
      query: listCaravansQuery
    }
  },
  methods: {
    ISOtoDate
  }
})
</script>
